Update Prompt
curl --request POST \
--url https://api.vocode.dev/v1/prompts/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"collect_fields": [
{
"field_type": "field_type_email",
"label": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"context_endpoint": "<string>",
"prompt_template": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.vocode.dev/v1/prompts/update"
payload = {
"content": "<string>",
"collect_fields": [
{
"field_type": "field_type_email",
"label": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"context_endpoint": "<string>",
"prompt_template": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
collect_fields: [
{
field_type: 'field_type_email',
label: '<string>',
name: '<string>',
description: '<string>'
}
],
context_endpoint: '<string>',
prompt_template: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.vocode.dev/v1/prompts/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "",
"collect_fields": [
{
"field_type": "field_type_email",
"label": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"context_endpoint": "<string>",
"prompt_template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required_context_keys": [
"<string>"
],
"label": ""
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Prompts
Update Prompt
POST
/
v1
/
prompts
/
update
Update Prompt
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
application/json
⌘I
